classification
Title: [3.10 prep] zip path incorrect
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Anthony Sottile, brett.cannon, pablogsal, vstinner
Priority: normal Keywords: patch

Created on 2019-07-18 06:40 by Anthony Sottile, last changed 2020-05-19 17:11 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14874 closed nsiregar, 2019-07-21 04:14
PR 20214 merged pablogsal, 2020-05-19 10:33
PR 20225 closed vstinner, 2020-05-19 12:52
Messages (3)
msg348100 - (view) Author: Anthony Sottile (Anthony Sottile) * Date: 2019-07-18 06:40
In an effort to try and fix some of the ecosystem before python3.10 (or 4.0) is a thing, I figured I'd set up a build where the version is bumped and see what's broken.

If you're interested in reproducing my findings, I've included a build that's installable in ubuntu in this PPA: https://launchpad.net/~asottile/+archive/ubuntu/python3.10

It's mostly based on this patch: https://github.com/asottile/python3.10/blob/ubuntu/bionic/debian/patches/0029-pretend-3.10.patch

while tracking down why pip doesn't work, I've encountered the following from doing this:

$ python3.10 -c 'import sys; print(sys.path)'
['', '/usr/lib/python31.zip', '/usr/lib/python3.10', '/usr/lib/python3.10/lib-dynload', '/usr/lib/python3/dist-packages']


notably, the second `sys.path` entry appears incorrect and should probably be `/usr/lib/python310.zip`

this should be an easy fix:

https://github.com/python/cpython/blob/1b3892243433da7eae7f5f3a4f98f13d309c8926/Modules/getpath.c#L1019-L1028
msg369321 - (view) Author: Anthony Sottile (Anthony Sottile) * Date: 2020-05-19 06:06
via https://github.com/python/cpython/commit/b4d4aef8433da2657c8d80207686124d15d32054
msg369372 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-05-19 16:28
New changeset 2a561b5f6830aee39cf05dc70c24e26c3558dda0 by Pablo Galindo in branch 'master':
bpo-37616: Handle version information more gracefully in getpath.c (GH-20214)
https://github.com/python/cpython/commit/2a561b5f6830aee39cf05dc70c24e26c3558dda0
History
Date User Action Args
2020-05-19 17:11:24vstinnersetresolution: fixed
components: + Interpreter Core
versions: + Python 3.10, - Python 3.9
2020-05-19 16:28:13pablogsalsetmessages: + msg369372
2020-05-19 12:52:52vstinnersetnosy: + vstinner

pull_requests: + pull_request19516
2020-05-19 10:33:58pablogsalsetnosy: + pablogsal

pull_requests: + pull_request19509
2020-05-19 06:06:26Anthony Sottilesetstatus: open -> closed

messages: + msg369321
stage: patch review -> resolved
2019-07-21 04:14:09nsiregarsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14661
2019-07-18 18:12:21brett.cannonsetnosy: + brett.cannon
2019-07-18 06:40:35Anthony Sottilecreate